function sakala_dynamic_css(control, style) {
    jQuery('style.' + control).remove();

    jQuery('head').append(
            '<style class="' + control + '">' + style + '</style>'
            );
}
jQuery(document).ready(function () {

    wp.customize(
            'body_font_family',
            function (value) {
                value.bind(
                        function (to) {
                            if (to != 'Courier' && to != 'Times' && to != 'Arial' && to != 'Verdana' && to != 'Trebuchet' && to != 'Georgia' && to != 'Tahoma' && to != 'Palatino' && to != 'Helvetica') {
                                WebFont.load({
                                    google: {
                                        families: [to]
                                    }
                                });
                            }
                            var css = 'body.sakalatypg p,body.sakalatypg{font-family:' + to + '}';
                            sakala_dynamic_css('body_font_family', css);
                        }
                );
            }
    );

    wp.customize(
            'body_font_style',
            function (value) {
                value.bind(
                        function (to) {
                            var weight = to.replace(/\D/g, '');
                            var style = to.replace(/\d+/g, '');
                            if ('' == style) {
                                style = 'normal';
                            }
                            var css = 'body.sakalatypg p,body.sakalatypg{font-weight:' + weight + ';font-style:' + style + '}';
                            sakala_dynamic_css('body_font_style', css);
                        }
                );
            }
    );

    wp.customize(
            'body_text_transform',
            function (value) {
                value.bind(
                        function (to) {
                            var css = 'body.sakalatypg p,body.sakalatypg{text-transform:' + to + '}';
                            sakala_dynamic_css('body_text_transform', css);
                        }
                );
            }
    );

    wp.customize(
            'body_text_decoration',
            function (value) {
                value.bind(
                        function (to) {
                            var css = 'body.sakalatypg p,body.sakalatypg{text-decoration:' + to + '}';
                            sakala_dynamic_css('body_text_decoration', css);
                        }
                );
            }
    );

    wp.customize(
            'body_font_size',
            function (value) {
                value.bind(
                        function (to) {
                            var css = 'body.sakalatypg p,body.sakalatypg{font-size:' + to + 'px}';
                            sakala_dynamic_css('body_font_size', css);
                        }
                );
            }
    );

    wp.customize(
            'body_line_height',
            function (value) {
                value.bind(
                        function (to) {
                            var css = 'body.sakalatypg p,body.sakalatypg{line-height:' + to + '}';
                            sakala_dynamic_css('body_line_height', css);
                        }
                );
            }
    );

    wp.customize(
            'body_letter_spacing',
            function (value) {
                value.bind(
                        function (to) {
                            var css = 'body.sakalatypg p,body.sakalatypg{letter-spacing:' + to + 'px}';
                            sakala_dynamic_css('body_letter_spacing', css);
                        }
                );
            }
    );

    wp.customize(
            'body_color',
            function (value) {
                value.bind(
                        function (to) {
                            var css = 'body.sakalatypg p,body.sakalatypg{color:' + to + '}';
                            sakala_dynamic_css('body_color', css);
                        }
                );
            }
    );

}); // jQuery( document ).ready
