<?php
/* Dynamic Css */
function sakala_get_dynamic_styles() {
	$sakala_mp = get_theme_mod('sakala_container_marginpadding','0, -, 0, -, 0, 0, 0, 0');
	$sakala_arr = explode(', ',$sakala_mp);
	foreach ( $sakala_arr as $key=>$val ) {
		if($key > 3){
			('-'===$val)? $sakala_arr[$key] = '0px ' : $sakala_arr[$key] = $val.'px ';
		}else{
			('-'===$val)? $sakala_arr[$key] = 'auto ' : $sakala_arr[$key] = $val.'px ';
		}
	}
	$sakala_container_margin = $sakala_arr[0].$sakala_arr[1].$sakala_arr[2].$sakala_arr[3];
	$sakala_container_padding = $sakala_arr[4].$sakala_arr[5].$sakala_arr[6].$sakala_arr[7];

	$sakala_fmp = get_theme_mod('sakala_footer_marginpadding','0, -, 0, -, 0, 0, 0, 0');
	$sakala_farr = explode(', ',$sakala_fmp);
	foreach ( $sakala_farr as $key=>$val ) {
		if($key > 3){
			('-'===$val)? $sakala_farr[$key] = '0px ' : $sakala_farr[$key] = $val.'px ';
		}else{
			('-'===$val)? $sakala_farr[$key] = 'auto ' : $sakala_farr[$key] = $val.'px ';
		}
	}
	$sakala_footer_margin = $sakala_farr[0].$sakala_farr[1].$sakala_farr[2].$sakala_farr[3];
	$sakala_footer_padding = $sakala_farr[4].$sakala_farr[5].$sakala_farr[6].$sakala_farr[7];

	$sakala_lp = get_theme_mod('sakala_logo_padding','0, 0, 0, 0');
	$sakala_larr = explode(', ',$sakala_lp);
	foreach ( $sakala_larr as $key=>$val ) {
		('-'===$val)? $sakala_larr[$key] = '0px ' : $sakala_larr[$key] = $val.'px ';
	}
	$sakala_logo_padding = $sakala_larr[0].$sakala_larr[1].$sakala_larr[2].$sakala_larr[3];

	$sakala_fmp = get_theme_mod('sakala_primarymenu_marginpadding','0, -, 0, -, 0, 0, 0, 0');
	$sakala_farr = explode(', ',$sakala_fmp);
	foreach ( $sakala_farr as $key=>$val ) {
		if($key > 3){
			('-'===$val)? $sakala_farr[$key] = '0px ' : $sakala_farr[$key] = $val.'px ';
		}else{
			('-'===$val)? $sakala_farr[$key] = 'auto ' : $sakala_farr[$key] = $val.'px ';
		}
	}
	$sakala_primarymenu_margin = $sakala_farr[0].$sakala_farr[1].$sakala_farr[2].$sakala_farr[3];
	$sakala_primarymenu_padding = $sakala_farr[4].$sakala_farr[5].$sakala_farr[6].$sakala_farr[7];

	$sakala_container_width = get_theme_mod('sakala_container_width','1200');


	$custom_css = ".sakala-wrapper { width: {$sakala_container_width}px; }\n";
	$custom_css .= ".sakala-container { margin: {$sakala_container_margin}; padding: {$sakala_container_padding}; }\n";

	$header_sections = array('top','main','bottom');
	foreach ($header_sections as $hsec) {
		$defpm = '0, -, 0, -, 0, 0, 0, 0';
		if($hsec=='main'){			
			$defpm = '0, -, 0, -, 20, 0, 20, 0';
		}
		$sakala_hmp = get_theme_mod('sakala_header_marginpadding_'.$hsec.'_header',$defpm);
		$sakala_harr = explode(', ',$sakala_hmp);
		foreach ( $sakala_harr as $key=>$val ) {
			if($key > 3){
				('-'===$val)? $sakala_harr[$key] = '0px ' : $sakala_harr[$key] = $val.'px ';
			}else{
				('-'===$val)? $sakala_harr[$key] = 'auto ' : $sakala_harr[$key] = $val.'px ';
			}
		}
		$sakala_header_margin = $sakala_harr[0].$sakala_harr[1].$sakala_harr[2].$sakala_harr[3];
		$sakala_header_padding = $sakala_harr[4].$sakala_harr[5].$sakala_harr[6].$sakala_harr[7];

		$sakala_header_width_var = get_theme_mod('sakala_header_width_'.$hsec.'_header','1200');

		$custom_css .= ".{$hsec}-header-sakala-wrapper { width: {$sakala_header_width_var}px; margin: 0 auto; }\n";
		$custom_css .= ".{$hsec}-header.sakala-header-container {";
		$custom_css .= " margin: {$sakala_header_margin}; padding: {$sakala_header_padding};"; 

		if(get_theme_mod('sakala_header_bkgcolor_'.$hsec.'_header','')!=''){
			$bhbk = get_theme_mod('sakala_header_bkgcolor_'.$hsec.'_header',''); 
			$custom_css .= "background-color:{$bhbk} !important;";
		}
		$custom_css .= "}\n";
	}

	$footer_sections = array('top','main');
	foreach ($footer_sections as $hsec) {
		$sakala_hmp = get_theme_mod('sakala_footer_marginpadding_'.$hsec.'_footer','0, -, 0, -, 0, 0, 0, 0');
		$sakala_harr = explode(', ',$sakala_hmp);
		foreach ( $sakala_harr as $key=>$val ) {
			if($key > 3){
				('-'===$val)? $sakala_harr[$key] = '0px ' : $sakala_harr[$key] = $val.'px ';
			}else{
				('-'===$val)? $sakala_harr[$key] = 'auto ' : $sakala_harr[$key] = $val.'px ';
			}
		}
		$sakala_footer_margin = $sakala_harr[0].$sakala_harr[1].$sakala_harr[2].$sakala_harr[3];
		$sakala_footer_padding = $sakala_harr[4].$sakala_harr[5].$sakala_harr[6].$sakala_harr[7];
		$sakala_footer_width_var = get_theme_mod('sakala_footer_width_'.$hsec.'_footer','1200');

		$custom_css .= ".{$hsec}-footer-sakala-wrapper.footer-elements-wrap { width: {$sakala_footer_width_var}px; }\n";
		$custom_css .= ".{$hsec}-footer-elem-wrap { margin: {$sakala_footer_margin}; padding: {$sakala_footer_padding};";

		if(get_theme_mod('sakala_footer_bkgcolor_'.$hsec.'_footer','')!=''){ 
			$bfbkg = get_theme_mod('sakala_footer_bkgcolor_'.$hsec.'_footer','');
			$custom_css .= "background-color:{$bfbkg};";
		}
		$custom_css .= "}\n";
	}

	$header_elements_sections_width = array(
		'sakala_headercustom_section'=>array('site-customhtml','10'),
		'sakala_headersocial_section'=>array('social-links','10'),
		'title_tagline'=>array('site-branding','30'),
		'sakala_headeraddress_section'=>array('site-address','10'),
		'sakala_headerphone_section'=>array('site-phone','10'),
		'sakala_headeremail_section'=>array('site-email','10'),
		'sakala_headercart_section'=>array('cart-wrapper','5'),
		'sakala_headersidemenu_section'=>array('sidewidget-wrapper','5'),
		'sakala_headermenu_section'=>array('header-main-menu','70'),
		'sakala_headersearch_section'=>array('search-wrapper','5'),
		'sakala_headerbutton_section'=>array('site-button','10'),
		'sakala_footer_menu_section'=>array('footermenu','100'),
		'sakala_footer_copyright_section'=>array('site-info','100'),
		'sakala_footer_social'=>array('site-footer .social-links','100')
	);
	foreach ($header_elements_sections_width as $section => $class) {
		$sec_width = get_theme_mod($section.'_width',$class[1]);

		$custom_css .= ".{$class[0]} { width: {$sec_width}%; }\n";
	}

	$sakala_footer_width = get_theme_mod('sakala_footer_width','1200');
	$custom_css .= ".footer-sakala-wrapper { width: {$sakala_footer_width}px; }\n";
	$custom_css .= ".footer-sakala-container { margin: {$sakala_footer_margin}; padding: {$sakala_footer_padding}; }\n";

	$sakala_inner_blog_content_maxwidth = get_theme_mod('sakala_inner_blog_content_maxwidth','1200');
	$custom_css .= ".archive.sakala-wrapper-archive .site-content,
	.blog.sakala-wrapper-archive .site-content,
	.search.sakala-wrapper-archive .site-content,
	.error404 .site-content{ 
		width: {$sakala_inner_blog_content_maxwidth}px;
		margin: 0 auto;
	}\n";

	$sakala_inner_blog_content_width = get_theme_mod('sakala_inner_blog_content_width','70');
	$custom_css .= ".archive #primary,
	.blog #primary,
	.search #primary { 
		width: {$sakala_inner_blog_content_width}%;
	}\n";
	$custom_css .= ".archive #secondary,
	.blog #secondary,
	.search #secondary { 
		width: calc(100% - {$sakala_inner_blog_content_width}%);
	}\n";
	$sakala_inner_single_content_maxwidth = get_theme_mod('sakala_inner_single_content_maxwidth','1200');
	$custom_css .= ".single.sakala-wrapper-single .site-content, .page.sakala-wrapper-single:not(.home) .site-content, .home.page-template-default .site-content { 
		width: {$sakala_inner_single_content_maxwidth}px;
		margin: 0 auto;
	}\n";
	$sakala_inner_single_content_width = get_theme_mod('sakala_inner_single_content_width','70');
	$custom_css .= ".single #primary, .page #primary { 
		width: {$sakala_inner_single_content_width}%;
	}\n";

	$custom_css .= ".single #secondary, .page #secondary {
		width: calc(100% - {$sakala_inner_single_content_width}%);
	}\n";

	$sakala_headerbutton_color = get_theme_mod('sakala_headerbutton_color');
	$sakala_headerbutton_hover_color = get_theme_mod('sakala_headerbutton_hover_color');
	$custom_css .= ".site-button a {
		background: {$sakala_headerbutton_color} !important;
	}\n";
	$custom_css .= ".site-button a:hover {
		background: {$sakala_headerbutton_hover_color} !important;
	}\n";

	// Add output of Customizer settings as inline style.
	wp_add_inline_style( 'sakala-style', $custom_css );

}
add_action( 'wp_enqueue_scripts', 'sakala_get_dynamic_styles' );
