
<div class="support-process">
	<div class="support-process-wrapper">
	<h3><i class="dashicons dashicons-sos"></i><?php echo esc_html__('Create Support Tickets', 'sakala'); ?></h3>
	<p><?php echo esc_html__('If you\'re having any issues with the theme, feel free to create a ticket in our support forum. We reply your ticket very soon!', 'sakala'); ?></p>
	<a class="button button-primary" href="<?php echo esc_url('https://accesspressthemes.com/support/');?>"><?php echo esc_html__('Create Ticket', 'sakala'); ?></a>
	</div>
</div>

<div class="support-process">
	<div class="support-process-wrapper">
	<h3><i class="dashicons dashicons-format-chat"></i><?php echo esc_html__('Online Chat', 'sakala'); ?></h3>
	<p><?php echo esc_html__('If you need an immediate solution, you can try our online chat support too. However our online time is limited and as below', 'sakala'); ?></p>
	<p><?php echo esc_html__('Mon - Fri', 'sakala'); ?></p>
	<p><?php echo esc_html__('10AM - 5PM ', 'sakala'); ?></p>
	<p><?php echo esc_html__('Kathmandu Time (GMT + 5:45)', 'sakala'); ?></p>
	<a class="button button-primary" href="<?php echo esc_url('https://accesspressthemes.com/');?>"><?php echo esc_html__('Start Online Chat', 'sakala'); ?></a>
	</div>
</div>

<div class="support-process">
	<div class="support-process-wrapper">
	<h3><i class="dashicons dashicons-email-alt"></i><?php echo esc_html__('Email to support team', 'sakala'); ?></h3>
	<p><?php echo esc_html__('You can also email to our support team directly at : support@accesspressthemes.com.', 'sakala'); ?>
    </p>
	</div>
</div>

<div class="support-process">
	<div class="support-process-wrapper">
	<h3><i class="dashicons dashicons-category"></i><?php echo esc_html__('Documentation', 'sakala'); ?></h3>
	<p><?php echo esc_html__('Checkout our documentation and get more details on how to setup / configure theme step by step.', 'sakala'); ?></p>
	<a class="button button-primary" href="<?php echo esc_url('https://doc.accesspressthemes.com/sakala/');?>"><?php echo esc_html__('View Documentation', 'sakala'); ?></a>
	</div>
</div>
