<?php
/**
 * The template for displaying all sakala posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#sakala-post
 *
 * @package sakala
 */

get_header();
?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php
		while ( have_posts() ) :
			the_post();

			get_template_part( 'template-parts/content', get_post_type() );

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
do_action('sakala_page_post_sidebar');
get_footer();
