<header class="entry-header">
	<?php
	if ( is_singular() ) :
		the_title( '<h1 class="entry-title">', '</h1>' );
	else :
		the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
	endif;
	if ( 'post' === get_post_type() ) :
		?>
		<div class="entry-meta">
			<?php
			$sakala_archive_meta_order = get_theme_mod('sakala_inner_blog_meta_elements');
			if($sakala_archive_meta_order==''){
				$sakala_archive_meta_order = '[{"id":"sakala_author","name":"Author","enable":"1"},{"id":"sakala_date","name":"Date","enable":"1"}]';
			}
			$sakala_archive_meta_order_arr = json_decode($sakala_archive_meta_order,true);
			if($sakala_archive_meta_order_arr!=null){
				foreach ($sakala_archive_meta_order_arr as $sakala_post_meta_elements) {
					if(isset($sakala_post_meta_elements['enable']) && $sakala_post_meta_elements['enable']=='1'){
						if($sakala_post_meta_elements['id']=='sakala_date'){
							sakala_posted_on();
						}
						if($sakala_post_meta_elements['id']=='sakala_author'){
							sakala_posted_by();
						}
					}
				}
			}		
			?>
		</div><!-- .entry-meta -->
	<?php endif; ?>
</header><!-- .entry-header -->