<?php
if(!function_exists('sakala_get_section_item_count')){
	function sakala_get_section_item_count($sec_name){
		$i=0;
		foreach ($sec_name as $sec) {
			if($sec!=null){
				if($sec['enable']!=0){
					$i++;
				}
			}
		}
		return $i;
	}
}

if(!function_exists('sakala_get_section_index')){
	function sakala_get_section_index($sec_name){
		$sakala_hfls = sakala_get_sortable_defaults();
		return $sakala_hfls;
	}
}

add_action( 'wp_ajax_sakala_get_layout_structure', 'sakala_get_layout_structure_cb' );
if(!function_exists('sakala_get_layout_structure_cb')){
	function sakala_get_layout_structure_cb(){
		//order of draggable header elements
		$section 	= wp_unslash($_POST['section']);
		$layout 	= wp_unslash($_POST['layout']);
		$sakala_hfls = sakala_get_sortable_defaults();

		if(!class_exists('WooCommerce')){
			unset($sakala_hfls['header']['main-header'][4]);
		}

		if($section=='header'){
			if($layout=='lay0'){
				$sakala_lay_hfls = array(
					'header' => array(
						'main-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['main-header'][5] //sidemenu
						)
					)
				);
			}
			elseif($layout=='lay1'){
				$sakala_lay_hfls = array(
					'header' => array(
						'top-header' => array(
							$sakala_hfls['header']['top-header'][0], //customhtml
							$sakala_hfls['header']['top-header'][1], //social
						),
						'main-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['main-header'][1], //address
							$sakala_hfls['header']['main-header'][2], // email
							$sakala_hfls['header']['main-header'][3], //phone
							//$sakala_hfls['header']['main-header'][5] //sidemenu
						),
						'bottom-header' => array(
							$sakala_hfls['header']['bottom-header'][0], //nav menu
							$sakala_hfls['header']['bottom-header'][1], //search
							$sakala_hfls['header']['bottom-header'][2] //button
						)
					)
				);
			}elseif($layout=='lay2'){
				$sakala_lay_hfls = array(
					'header' => array(
						'top-header' => array(
							$sakala_hfls['header']['top-header'][1], //social
							$sakala_hfls['header']['main-header'][3], //email
							$sakala_hfls['header']['main-header'][2] //phone
						),
						'main-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['bottom-header'][0], //nav menu
							$sakala_hfls['header']['bottom-header'][1], //search
							$sakala_hfls['header']['main-header'][4] //cart
						),
					)
				);
			}elseif($layout=='lay3'){
				$sakala_lay_hfls = array(
					'header' => array(
						'top-header' => array(
							$sakala_hfls['header']['main-header'][2], //phone
							$sakala_hfls['header']['bottom-header'][2] //button
						),
						'main-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['bottom-header'][0], // nav menu
							$sakala_hfls['header']['bottom-header'][1], //search
							$sakala_hfls['header']['main-header'][4], //cart
							$sakala_hfls['header']['main-header'][5] //sidemenu
						), 
					)
				);
			}elseif($layout=='lay4'){
				$sakala_lay_hfls = array(
					'header' => array(
						'main-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['bottom-header'][0], //nav menu
							$sakala_hfls['header']['top-header'][1], //social
							$sakala_hfls['header']['bottom-header'][1], //search
							$sakala_hfls['header']['main-header'][4] //cart
						),
					)
				);
			}elseif($layout=='lay5'){
				$sakala_lay_hfls = array(
					'header' => array(
						'top-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
						),
						'main-header' => array(
							$sakala_hfls['header']['top-header'][0], //customhtml
							$sakala_hfls['header']['bottom-header'][0], //nav menu
						),
						'bottom-header' => array(
							$sakala_hfls['header']['main-header'][2], //phone
							$sakala_hfls['header']['bottom-header'][1], //search
						)
					)
				);
			}elseif($layout=='lay6'){
				$sakala_lay_hfls = array(
					'header' => array(
						'top-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['main-header'][1], //address
							$sakala_hfls['header']['main-header'][3], //email						
							$sakala_hfls['header']['main-header'][2], //phone
						),
						'main-header' => array(
							$sakala_hfls['header']['bottom-header'][0], //nav menu
							$sakala_hfls['header']['main-header'][4], //cart
							$sakala_hfls['header']['bottom-header'][1], //search
							$sakala_hfls['header']['bottom-header'][2] //button
						),
					)
				);
			}elseif($layout=='lay7'){
				$sakala_lay_hfls = array(
					'header' => array(
						'top-header' => array(
							$sakala_hfls['header']['main-header'][3], //email
							$sakala_hfls['header']['main-header'][2], //phone
							$sakala_hfls['header']['top-header'][1], //social
						),
						'main-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['bottom-header'][0], //nav menu
							$sakala_hfls['header']['main-header'][4], //cart
							$sakala_hfls['header']['bottom-header'][1], //search
							$sakala_hfls['header']['bottom-header'][2] //button
						),
					)
				);
			}elseif($layout=='lay8'){
				$sakala_lay_hfls = array(
					'header' => array(
						'main-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['bottom-header'][0], //nav menu
							$sakala_hfls['header']['main-header'][4], //cart
							$sakala_hfls['header']['bottom-header'][1], //search
						),
					)
				);
			}elseif($layout=='lay9'){
				$sakala_lay_hfls = array(
					'header' => array(
						'top-header' => array(
							$sakala_hfls['header']['top-header'][0], //customhtml
							$sakala_hfls['header']['top-header'][1], //social
						),
						'main-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['bottom-header'][0], //nav menu
							$sakala_hfls['header']['bottom-header'][2], //button
							$sakala_hfls['header']['bottom-header'][1], //search
							$sakala_hfls['header']['main-header'][5], //sidemenu
						),
					)
				);
			}elseif($layout=='lay10'){
				$sakala_lay_hfls = array(
					'header' => array(
						'top-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['top-header'][0], //customhtml
						),
						'main-header' => array(
							$sakala_hfls['header']['bottom-header'][0], //nav menu
						),
						'bottom-header' => array(
							$sakala_hfls['header']['main-header'][2], //phone
							$sakala_hfls['header']['main-header'][3], //email
							$sakala_hfls['header']['top-header'][1], //social
						),
					)
				);
			}elseif($layout=='lay11'){
				$sakala_lay_hfls = array(
					'header' => array(
						'top-header' => array(
							$sakala_hfls['header']['top-header'][0], //customhtml
							$sakala_hfls['header']['top-header'][1], //social
						),
						'main-header' => array(
							$sakala_hfls['header']['main-header'][0], //site branding
							$sakala_hfls['header']['main-header'][1], //address
							$sakala_hfls['header']['main-header'][2], //phone
							$sakala_hfls['header']['main-header'][3], //email
							$sakala_hfls['header']['main-header'][4], //cart
							$sakala_hfls['header']['main-header'][5], //sidemenu
						),
						'bottom-header' => array(
							$sakala_hfls['header']['bottom-header'][0], //nav menu
							$sakala_hfls['header']['bottom-header'][1], //search
							$sakala_hfls['header']['bottom-header'][2] //button
						)
					)
				);
			}else{
				$sakala_lay_hfls = array('header' => array());
			}
			$sakala_lay_hfls['footer'] = array(
				'top-footer' => array($sakala_hfls['footer']['top-footer'][0]),
				'main-footer' => array($sakala_hfls['footer']['main-footer'][0],$sakala_hfls['footer']['main-footer'][1]),
			);
		}else{
			$sakala_lay_hfls = $sakala_hfls;
		}

		$newsakalasecOrder = json_encode($sakala_lay_hfls);

		set_theme_mod( 'sakala_dragndrop_sections_order',$newsakalasecOrder);
		set_theme_mod('sakala_header_layout_setting',$layout);
		$sakala_dnd_html = sakala_customzier_dnd_ajaxtemplate($sakala_lay_hfls);

		print($sakala_dnd_html); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	}
}


if(!function_exists('sakala_customzier_dnd_ajaxtemplate')){
	function sakala_customzier_dnd_ajaxtemplate($section_area){
		ob_start();
		ob_get_clean();
		$i=0;
		if($section_area!='[]'){
			foreach ($section_area as $section=>$areas) {
				?>
				<div id="<?php echo esc_attr($section); ?>" class="<?php echo ($i!=0)?'hidden':'';?> sectionDragnDrop">
					<label class="main-sec-title"><?php echo esc_html(ucwords($section));?></label>
					<p class="info">
						<i class="dashicons dashicons-warning"></i><?php esc_html_e('Click on Items to go to their respective settings.','sakala');?> 
						<br/>
						<i class="dashicons dashicons-warning"></i><?php esc_html_e('Drag Items between/within Sections to change their position.','sakala');?> 
					</p>
					<?php
					$header_layout = get_theme_mod('sakala_header_layout_setting','lay0');
					$footer_layout = get_theme_mod('sakala_footer_layout_setting','lay2');?>
					<div class="section-<?php echo esc_attr($section); ?> header-<?php echo esc_attr($header_layout);?> footer-<?php echo esc_attr($footer_layout);?>">
						<?php
						foreach ($areas as $area_id=>$area) {
							?>
							<label class="inner-sec-title"><?php echo esc_html(ucwords(str_replace('-',' ',$area_id)));?></label>
							<a class="sec-setting" href="#sakala_<?php echo esc_html((str_replace('-','_',$area_id)));?>_section_designs" rel="sakala-section"><i class="dashicons dashicons-admin-generic"></i></a>
							<div id="<?php echo esc_attr($area_id); ?>" class="<?php echo esc_attr($area_id); ?> sakalaDrag connectedSortable">
								<?php
								foreach ($area as $settings) {
									if($settings!=null){
										$secclass = 'sakala-drag-sec';
										if($settings['enable']==0){ $secclass .= ' section-disable'; }
										?>
										<div id="<?php echo esc_attr($settings['panel']);?>" class="<?php echo esc_attr($secclass);?>" data-sec="<?php echo esc_attr($settings['section']);?>">
											<i class="dashicons dashicons-<?php echo ($settings['enable']==0)?'hidden':'visibility';?> section-trigger"></i>
											<a title="<?php esc_attr_e('Click to go to settings.','sakala');?>" href="#<?php echo esc_attr($settings['panel']);?>" rel="sakala-section">
												<?php echo esc_attr(ucwords(str_replace('-',' ',$settings['section'])));?>
											</a>
											<i class="dashicons dashicons-move section-drag"></i>
										</div>
										<?php
									}
								}
								?>
							</div>
							<?php	
						}
						?>
					</div>
				</div>
				<?php
				$i++;
			}
		}
		?>
		<input type="hidden" id="save-area-section-reorder" name="save-area-section-reorder" value="">
		<?php
		wp_die();		
	}
}