<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package sakala
 */

?>
<?php
$sakala_thumbclass = 'thumbnail-disabled';
if(!is_singular() && sakala_is_archive_thumbnail_enabled()){
	$sakala_thumbclass = 'thumb-enabled';
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class($sakala_thumbclass); ?>>
	<?php 
	if ( is_singular() ) {
		$sakala_single_order = get_theme_mod('sakala_inner_single_meta_elements');
		if($sakala_single_order==''){
			$sakala_single_order = '[{"id":"sakala_titlemeta","name":"Title & Meta","enable":"1"},{"id":"sakala_thumbnail","name":"Thumbnail","enable":"1"},{"id":"sakala_content","name":"Content","enable":"1"},{"id":"sakala_tags","name":"Tags","enable":"1"},{"id":"sakala_postnav","name":"Post Navigation","enable":"1"},{"id":"sakala_comments","name":"Comments","enable":"1"}]';
		}
		$sakala_single_order_arr = json_decode($sakala_single_order,true);
		if($sakala_single_order_arr!=null){
			foreach ($sakala_single_order_arr as $sakala_post_elements) {

				if(isset($sakala_post_elements['enable']) && $sakala_post_elements['enable']=='1'){
					get_template_part('assets/components/posts/post',$sakala_post_elements['id']);		
				}
			}
		}

	}

	else {
		$sakala_archive_order = get_theme_mod('sakala_inner_blog_elements');
		if($sakala_archive_order==''){
			$sakala_archive_order = '[{"id":"sakala_thumbnail","name":"Thumbnail","enable":"1"},{"id":"sakala_titlemeta","name":"Title & Meta","enable":"1"},{"id":"sakala_excerpt","name":"Excerpt","enable":"1"}]';
		}
		$sakala_archive_order_arr = json_decode($sakala_archive_order,true);
		if($sakala_archive_order_arr!=null){
			foreach ($sakala_archive_order_arr as $sakala_post_elements) {
				if(isset($sakala_post_elements['enable']) && $sakala_post_elements['enable']=='1'){
					get_template_part('assets/components/posts/post',$sakala_post_elements['id']);		
				}
			}
		}
	}
	?>
</article><!-- #post-<?php the_ID(); ?> -->
